Chuyển đến nội dung
Diễn đàn CADViet

huunhantvxdts

Thành viên
  • Số lượng nội dung

    767
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    30

Cộng đồng

160 (tàm tạm)

3 Người theo dõi

About huunhantvxdts

  • Cấp bậc
    biết lệnh adcenter

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. huunhantvxdts

    Nối text cao độ

    Cái này chủ yếu người ta lấy cao độ để chuyển vào phần mềm thì phải.
  2. huunhantvxdts

    Nối text cao độ

    Thế bạn không đọc bản vẽ rồi. Tại một vị trí có 3 điểm point 3 cao độ khác nhau. Trong 3 cao độ đó chưa chắc đúng với cao độ text đã thể hiện, Nên giải pháp người ta đưa ra là nối text lại với nhau là chắc nhất.
  3. huunhantvxdts

    Nối text cao độ

    add zalo gửi file mình xem nhé zalo: 0848.998.045
  4. huunhantvxdts

    Nối text cao độ

    Sửa lại cho bạn nhưng kết quả nó phụ vẫn phụ thuộc vào khoảng cách text và tâm vòng tròn nhé (defun c:GTEXT (/ luubatdiem spc tapchon tapdiem lstss text gtricaodo phannguyen p1 phapphan gtridien diemtam) (command "undo" "BE") (setq luubatdiem (getvar "osmode")) (setvar "osmode" 0) (setvar "CMDECHO" 0) ;;;;;;;;;;;;;;;;;;;;;;; (setq spc (vla-get-ModelSpace (vla-get-ActiveDocument(vlax-get-Acad-Object)))) (command "-layer" "n" "Caodo" "c" 4 "Caodo" "") (setq h (getreal "\nNhap cao chu:")) (prompt "\nchon tap diem Point Text") (setq tapchon (acet-ss-to-list (ssget (list (cons 0 "CIRCLE"))))) (setq tapdiem (vl-remove-if-not '(lambda (x) (= (cdr (assoc 0 (entget x))) "CIRCLE")) tapchon)) ;(setq lstss (vl-remove-if-not '(lambda (x) (= (cdr (assoc 0 (entget x))) "TEXT")) tapchon)) (foreach ent tapdiem (setq p1 (cdr (assoc 10 (entget ent)))) (setq p2 (polar p1 (* 3 (/ pi 4)) 3)) (setq p3 (polar p1 (* 1 (/ pi -4)) 3)) (vla-ZoomCenter (vlax-get-acad-object) (vlax-3D-point p1) 200) (setq lstss (acet-ss-to-list (ssget "C" p2 p3 (list (cons 0 "TEXT"))))) (setq text (timtext p1 lstss)) (if text (progn (setq gtricaodo (vl-sort (list (cadr text) (caddr text)) '(lambda(x y) (< (car (car x)) (car (car y)))))) (setq phannguyen (cdr (car gtricaodo))) (setq phapphan (cdr (cadr gtricaodo))) (setq gtridien (strcat phannguyen "." phapphan)) (setq diemtam (car text)) (vla-put-Layer (vla-addtext spc gtridien (vlax-3d-point diemtam) h) "Caodo") ) ) ) (setvar "osmode" luubatdiem) (setvar "CMDECHO" 1) (command "undo" "End") )
  5. huunhantvxdts

    Nối text cao độ

    Mình xét khoảng cách min đến tâm vòng tròn nên sẽ có 1 số trường hợp text điểm này nhưng gần vòng tròn điểm kia với lại với tập điểm lớn như file bạn gửi sẽ chạy mất nhiều thời gian (Do trình chỉ xử lý được đến này thôi) Giải pháp chọn từng vùng để chạy Bạn dùng tạm cái này nhé! (defun timtext (point lsttext /) (setq lstcaodo (mapcar '(lambda (e) (cons (cdr (assoc 10 (entget e))) (cdr (assoc 1 (entget e))))) lsttext)) (setq kcminpoint (vl-sort lstcaodo '(lambda(x y / tmx tmy) (setq tmx (distance (list (car (car x)) (cadr (car x)) 0) point) tmy (distance (list (car (car y)) (cadr (car y)) 0) point)) (< tmx tmy)))) (setq pointtim (list point (car kcminpoint) (cadr kcminpoint))) ) (defun c:GTEXT (/ luubatdiem spc tapchon tapdiem lstss text gtricaodo phannguyen p1 phapphan gtridien diemtam) (command "undo" "BE") (setq luubatdiem (getvar "osmode")) (setvar "osmode" 0) (setvar "CMDECHO" 0) ;;;;;;;;;;;;;;;;;;;;;;; (setq spc (vla-get-ModelSpace (vla-get-ActiveDocument(vlax-get-Acad-Object)))) (command "-layer" "n" "Caodo" "c" 4 "Caodo" "") (setq h (getreal "\nNhap cao chu:")) (prompt "\nchon tap diem Point Text") (setq tapchon (acet-ss-to-list (ssget (list (cons 0 "CIRCLE,TEXT"))))) (setq tapdiem (vl-remove-if-not '(lambda (x) (= (cdr (assoc 0 (entget x))) "CIRCLE")) tapchon)) (setq lstss (vl-remove-if-not '(lambda (x) (= (cdr (assoc 0 (entget x))) "TEXT")) tapchon)) (foreach ent tapdiem (setq p1 (cdr (assoc 10 (entget ent)))) (setq text (timtext p1 lstss)) (setq gtricaodo (vl-sort (list (cadr text) (caddr text)) '(lambda(x y) (< (car (car x)) (car (car y)))))) (setq phannguyen (cdr (car gtricaodo))) (setq phapphan (cdr (cadr gtricaodo))) (setq gtridien (strcat phannguyen "." phapphan)) (setq diemtam (car text)) (vla-put-Layer (vla-addtext spc gtridien (vlax-3d-point diemtam) h) "Caodo") ) (setvar "osmode" luubatdiem) (setvar "CMDECHO" 1) (command "undo" "End") )
  6. huunhantvxdts

    Nối text cao độ

    Cần 1 bản vẽ thực tế, với bản vẽ mẫu với 1 vài cao độ như này thì việc nối không khó. Các bạn đưa bản mẫu quá lý tưởng đến khi vào thực tế text nó chồng lên nhau lại kêu sao lisp chạy không đúng rồi lại yêu cầu người viết bổ sung này nọ, rất khó cho người viết.
  7. huunhantvxdts

    Xin viết lsp cad vẽ bo từ các đường thẳng

    Mình thấy các bạn yêu cầu thì đưa ra các trường hợp thật lý tưởng, xong có người viết rồi thì lại áp dụng vào thực tế toàn trên trời rơi xuống. Thật khổ cho người nào hỗ trợ. Bạn nên đưa file thực tế của bạn đang làm rồi nhờ người nào đó có thể hỗ trợ hoặc gửi họ ít phí họ hỗ trợ luôn
  8. xem đoạn cuối nhé https://www.youtube.com/watch?v=T3GBr3VhJr0
  9. Cần có dữ liệu file đầy đủ nhé: Liên hệ: https://www.facebook.com/lienkettudong
  10. huunhantvxdts

    Tool in hàng loạt bản vẽ ra file .pdf cả model và layout

    Test thấy lỗi như thế này!! mình dùng cad2018 nhé Command: NETLOAD Cannot load assembly. Error details: System.IO.FileLoadException: Could not load file or assembly 'file:///C:\TLKT\lenh\XPR_PlotPro.dll' or one of its dependencies. Operation is not supported. (Exception from HRESULT: 0x80131515) File name: 'file:///C:\TLKT\lenh\XPR_PlotPro.dll' ---> System.NotSupportedException: An attempt was made to load an assembly from a network location which would have caused the assembly to be sandboxed in previous versions of the .NET Framework. This release of the .NET Framework does not enable CAS policy by default, so this load may be dangerous. If this load is not intended to sandbox the assembly, please enable the loadFromRemoteSources switch. See http://go.microsoft.com/fwlink/?LinkId=155569 for more information. at System.Reflection.RuntimeAssembly._nLoad(AssemblyName fileName, String codeBase, Evidence assemblySecurity, RuntimeAssembly locationHint, StackCrawlMark& stackMark, IntPtr pPrivHostBinder, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppressSecurityChecks) at System.Reflection.RuntimeAssembly.InternalLoadAssemblyName(AssemblyName assemblyRef, Evidence assemblySecurity, RuntimeAssembly reqAssembly, StackCrawlMark& stackMark, IntPtr pPrivHostBinder, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppressSecurityChecks) at System.Reflection.RuntimeAssembly.InternalLoadFrom(String assemblyFile, Evidence securityEvidence, Byte[] hashValue, AssemblyHashAlgorithm hashAlgorithm, Boolean forIntrospection, Boolean suppressSecurityChecks, StackCrawlMark& stackMark) at System.Reflection.Assembly.LoadFrom(String assemblyFile) at Autodesk.AutoCAD.Runtime.ExtensionLoader.Load(String fileName) at loadmgd()
  11. huunhantvxdts

    [ Yêu cầu Lisp Tạo Point Tâm miền kín]

    Tham khảo lisp của bác Doan Duy Hung nhé: https://www.cadviet.com/forum/topic/93584-nhờ-viết-lisp-hatch-vùng-kín-của-các-đối-tượng-giao-nhau/?page=2
  12. Cái này chắc làm được
  13. Để được mọi người giúp đỡ, cái tốt thiểu là bạn phải đưa file cad hoặc chí ít là hình ảnh. Bạn làm như ai cũng biết cái bạn đang nói.
  14. huunhantvxdts

    Tách hình vẽ trong cad

    Lisp bạn nhé
  15. huunhantvxdts

    Tách hình vẽ trong cad

    Tham khảo nhé https://www.youtube.com/watch?v=muXvTvS-zSA
×